VulnCheck는 NIST NVD의 부담을 덜어주기 위해 커뮤니티 서비스로 NIST NVD 2.0을 제공합니다.
VulnCheck는 NIST에서 제공하는 NVD 2.0 데이터 피드 사용에서 VulnCheck에서 제공하는 NVD 2.0 데이터로 쉽게 마이그레이션할 수 있도록 지원합니다. API 호출 또는 오프라인 백업 형태로 이용할 수 있습니다.
이미 NIST NVD를 사용하고 있거나 과거에 사용한 적이 있다면, 잦은 API 타임아웃과 공격적인 서비스 종료 전략과 같은 문제를 경험했을 가능성이 큽니다. 더 안정적인 플랫폼으로 이동하려면 https://vulncheck.com/community 에서 VulnCheck 커뮤니티 계정을 등록하고 VulnCheck에서 제공하는 NIST NVD를 이용하면 됩니다.
curl --request GET --url https://api.vulncheck.com/v3/backup/nist-nvd2 --header 'Accept: application/json' --header 'Authorization: Bearer insert_token_here'
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
vulncheck "github.com/vulncheck-oss/sdk-go-v2/v2"
)
func main() {
configuration := vulncheck.NewConfiguration()
configuration.Scheme = "https"
configuration.Host = "api.vulncheck.com"
client := vulncheck.NewAPIClient(configuration)
token := os.Getenv("VULNCHECK_API_TOKEN")
auth := context.WithValue(
context.Background(),
vulncheck.ContextAPIKeys,
map[string]vulncheck.APIKey{
"Bearer": {Key: token},
},
)
resp, httpRes, err := client.EndpointsAPI.BackupIndexGet(auth, "nist-nvd2").Execute()
if err != nil || httpRes.StatusCode != 200 {
log.Fatal(err)
}
prettyJSON, err := json.MarshalIndent(resp.Data, "", " ")
if err != nil {
log.Fatalf("Failed to generate JSON: %v", err)
return
}
fmt.Println(string(prettyJSON))
}
import vulncheck_sdk
configuration = vulncheck_sdk.Configuration(host="https://api.vulncheck.com/v3")
configuration.api_key["Bearer"] = "insert_token_here"
with vulncheck_sdk.ApiClient(configuration) as api_client:
endpoints_client = vulncheck_sdk.EndpointsApi(api_client)
api_response = endpoints_client.backup_index_get("nist-nvd2")
print(api_response.data[0].url)
vulncheck backup download nist-nvd2
VulnCheck 커뮤니티에는 두 가지 버전의 NVD++가 포함되어 있습니다.
| Index | Source | 설명 |
|---|---|---|
| nist-nvd2 | NIST | NVD 2.0 |
| nist-nvd | NIST | NVD 2.0에서 생성된 NVD 1.0; NIST와 달리 무기한 지원 |
VulnCheck Exploit & Vulnerability Intelligence에는 네 가지 버전의 NVD가 포함되어 있습니다.
| Index | Source | 설명 |
|---|---|---|
| vulncheck-nvd2 | VulnCheck | VulnCheck 확장이 포함된 NVD 2.0 (더 많은 필드와 더 빠른 데이터) |
| vulncheck-nvd | VulnCheck | VulnCheck 확장이 포함된 NVD 1.0 (더 많은 필드와 더 빠른 데이터) |
| nist-nvd2 | NIST | SLA가 포함된 NVD 2.0 |
| nist-nvd | NIST | NVD 2.0에서 생성된 SLA 포함 NVD 1.0; NIST와 달리 무기한 지원 |